Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class AbstractSampleApp

    java.lang.Object
      net.sf.jasperreports.engine.util.AbstractSampleApp

    public abstract class AbstractSampleApp

extends java.lang.Object

Version:
  $Id: Barcode4JApp.java 3348 2010-02-01 12:35:35Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`AbstractSampleApp()`

Method Summary
`void` | `executeTask(java.lang.String taskName)`
`protected java.sql.Connection` | `getDemoHsqldbConnection()`
`protected java.io.File[]` | `getFiles(java.io.File parentFile, java.lang.String extension)`
`static void` | `main(AbstractSampleApp app, java.lang.String[] args)`
`abstract void` | `test()`
`java.lang.String` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSampleApp

    public AbstractSampleApp()

Method Detail

### test

    public abstract void test()
                       throws JRException

  Throws:
    `JRException`

### usage

    public java.lang.String usage()

### executeTask

    public void executeTask(java.lang.String taskName)

### getFiles

    protected java.io.File[] getFiles(java.io.File parentFile,
                                      java.lang.String extension)

### getDemoHsqldbConnection

    protected java.sql.Connection getDemoHsqldbConnection()
                                                   throws JRException

  Throws:
    `JRException`

### main

    public static void main(AbstractSampleApp app,
                            java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com